List Outbound Messages
Gets the list of all Outbound Messages, optionally filtered by parameters. This method supports pagination.
Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.
In: header
Query Parameters
Outbound message status
Value in
- "Queued"
- "Sent"
- "Delivered"
- "Failed"
- "Expired"
Sender phone number
Recipient phone number
Date-time, that Outbound message creation should be greater or equal than.
Must have ISO format (e.g. yyyy-MM-dd'T'HH:mm:ss)
date-timeDate-time, that Outbound message creation should be less than.
Must have ISO format (e.g. yyyy-MM-dd'T'HH:mm:ss)
date-timeOutbound message error code
int32int321 <= value <= 10000Possible values:
-
Ascending
-
Descending
Value in
- "Ascending"
- "Descending"
If true, fees are included into the result.
If true, conversation metadata is included into the result.
Response Body
curl -X GET "https://example.com/v1/OutboundMessages"{ "items": [ { "sid": "OM08d9704f044a2fa13d3faa216fcf4574b64b19be32626243", "from": "+12145678900", "to": "+19876543210", "recipients": [ { "to": "+19876543210", "carrier": "string" } ], "createdOn": "2023-09-09T15:00:00.000Z", "sentOn": "2023-09-09T15:00:00.000Z", "text": "string", "carrier": "string", "status": "Queued", "errorCode": 0, "errorDescription": "string", "callbackUrlOverride": "string", "segmentCount": 0, "mediaUrls": null, "expiresOn": "2025-06-01T15:00:00Z", "conversationMetadata": "string", "fees": { "platformFees": [ { "count": 0, "feePerUnit": 0, "total": 0 } ], "passThroughFees": [ { "count": 0, "feePerUnit": 0, "total": 0 } ] }, "dcaStatus": { "providerId": 0, "code": "string", "name": "string", "description": "string" }, "priority": "Low", "brandSid": "string", "campaignSid": "string", "messagingConfigSid": "string" } ], "searchId": "string"}{ "errors": { "Name": [ "The Name field is required." ] }, "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1", "title": "One or more validation errors occurred.", "status": 400, "detail": "Some detailed message", "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}Send Outbound Message POST
Submits Outbound Message for sending. Response status code `200` means that the Outbound Message was accepted for delivery. It does not guarantee that the message will be sent right away, or ever. Depending on the TCR Campaign association state, the remaining TCR limit and the Opt-Out of the recipient, the message may end up queued or even discarded. In case `MediaUrls` array is not empty (i.e. contains at least one attachment URL) and/or more than 1 recipient the message is considered MMS.
Get Outbound Message GET
Returns the specified Outbound Message information.